<mat-card id="mainDiv" *ngFor="let comment of FiltredByPosts">
  <mat-card-content>
  <div class="flex-container">
    <div  class="flex-child-icon-saved">
      <mat-icon class="icon-display-saved-comment">account_circle</mat-icon>
    </div>
    <div class="flex-child-saved">
      <div><h3>{{comment.author}}</h3></div>
      <mat-card class="comment-content">
        <mat-card-content>
          <div [innerHTML]="comment.text"></div>
        </mat-card-content>
      </mat-card>
    </div>
  </div>
  <div class="flex-container">
    <div  class="flex-child">
      <button class="button-fill" *ngIf="!comment.isOpen" (click)="openCommentText(comment)" >Odpovědět</button>

    </div>
    <div class="flex-child">
      <button class="button-fill" (click)="showReplies(comment)" *ngIf="!comment.IsReplyShown">Zobrazit odpovědi</button>
    </div>
  </div>

  <div *ngIf="comment.isOpen ">
    <div class="flex-container">
      <div class="flex-child-icon">
        <mat-icon class="icon-display">account_circle</mat-icon>
      </div>
    <form [formGroup]="form" class="form-inline" (submit)="addComment(comment)">
      <div class="flex-child">
        <div><h3>{{loggedUser}}</h3></div>
        <angular-editor formControlName="content" id="commentcreation" [config]="commentConfig" required placeholder="Napište komentář"> </angular-editor>
    </div>
      <div class="flex-child-buttton">
        <button mat-flat-button color="primary" type="submit">Vytvořit</button>
      </div>
    </form>
    </div>
  </div>
</mat-card-content>
  <app-commentstree *ngIf="showRepl" [comments]="comment.anwsers" [parent_Id]="comment.commentId" [post_Id]="comment.postId">
  </app-commentstree>
</mat-card>
